Bug 1256268 - duplicate entries in volume property
duplicate entries in volume property
Status: CLOSED EOL
Product: GlusterFS
Classification: Community
Component: glusterd (Show other bugs)
3.7.3
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Atin Mukherjee
:
Depends On: 1005344
Blocks: 1245168 1056028 glusterfs-3.7.7
  Show dependency treegraph
 
Reported: 2015-08-24 04:50 EDT by Atin Mukherjee
Modified: 2017-03-08 05:49 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1005344
Environment:
Last Closed: 2017-03-08 05:49:39 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Atin Mukherjee 2015-08-24 04:50:33 EDT
+++ This bug was initially created as a clone of Bug #1005344 +++

On 09/06/2013 07:07 PM, James wrote:
> On Fri, 2013-09-06 at 09:27 -0400, James wrote:
>> Hi Gluster,
>>
>> I figured that I would mention a weird finding. If you run a:
>>
>> gluster volume set help
>>
>> you'll get a useful list of properties to set. After closer inspection,
>> I noticed that:
>>
>> network.tcp-window-size
>>
>> appears twice. This doesn't really bother me if it's just a silly
>> cosmetic thing, but I figured I'd mention it in case there was some
>> mistakenly duplicated code somewhere.
>>
>> Maybe someone can forward it to the appropriate dev.
>>
>> Cheers,
>> James
>>
> Actually, I found another one:
>
> # Size of the read cache.
> performance.cache-size    # default: 32MB
>
> # Size of the read cache.
> performance.cache-size    # default: 128MB
>
> However they have different defaults. Maybe someone can figure out which
> witch is which.
>
> Cheers,
> James

I will suggest you to file a bug in https://bugzilla.redhat.com/ for this.

Thanks,
Lala

--- Additional comment from Anand Avati on 2015-04-02 00:41:48 EDT ---

REVIEW: http://review.gluster.org/10110 (glusterd: remove duplicate entries from volume set help) posted (#1) for review on master by Atin Mukherjee (amukherj@redhat.com)

--- Additional comment from Anand Avati on 2015-04-02 06:32:49 EDT ---

REVIEW: http://review.gluster.org/10110 (glusterd: remove duplicate entries from volume set help) posted (#2) for review on master by Vijay Bellur (vbellur@redhat.com)

--- Additional comment from Anand Avati on 2015-04-06 00:29:56 EDT ---

COMMIT: http://review.gluster.org/10110 committed in master by Kaushal M (kaushal@redhat.com) 
------
commit e1e41ae67816ad6f23d074632c9d3f198e15aba3
Author: Atin Mukherjee <amukherj@redhat.com>
Date:   Thu Apr 2 10:09:39 2015 +0530

    glusterd: remove duplicate entries from volume set help
    
    gluster volume set help was displaying redundant entries for
    performance.cache-size & network.tcp-window-size as the same key is used in
    different translators. Fix is to consider all the redundant ones as NO_DOC
    
    Change-Id: I7739d992f6fdbb24765caedbb05099d269110476
    BUG: 1005344
    Signed-off-by: Atin Mukherjee <amukherj@redhat.com>
    Reviewed-on: http://review.gluster.org/10110
    Tested-by: Gluster Build System <jenkins@build.gluster.com>
    Reviewed-by: Kaushal M <kaushal@redhat.com>

--- Additional comment from Atin Mukherjee on 2015-04-10 07:47:55 EDT ---

Moving it back to Assigned state as the patch doesn't fix the problem.

--- Additional comment from Niels de Vos on 2015-05-14 13:25:34 EDT ---

This bug is getting closed because a release has been made available that should address the reported issue. In case the problem is still not fixed with glusterfs-3.7.0, please open a new bug report.

glusterfs-3.7.0 has been announced on the Gluster mailinglists [1], packages for several distributions should become available in the near future. Keep an eye on the Gluster Users mailinglist [2] and the update infrastructure for your distribution.

[1] http://thread.gmane.org/gmane.comp.file-systems.gluster.devel/10939
[2] http://thread.gmane.org/gmane.comp.file-systems.gluster.user

--- Additional comment from Niels de Vos on 2015-05-14 13:35:26 EDT ---

This bug is getting closed because a release has been made available that should address the reported issue. In case the problem is still not fixed with glusterfs-3.7.0, please open a new bug report.

glusterfs-3.7.0 has been announced on the Gluster mailinglists [1], packages for several distributions should become available in the near future. Keep an eye on the Gluster Users mailinglist [2] and the update infrastructure for your distribution.

[1] http://thread.gmane.org/gmane.comp.file-systems.gluster.devel/10939
[2] http://thread.gmane.org/gmane.comp.file-systems.gluster.user

--- Additional comment from Niels de Vos on 2015-05-14 13:37:47 EDT ---

This bug is getting closed because a release has been made available that should address the reported issue. In case the problem is still not fixed with glusterfs-3.7.0, please open a new bug report.

glusterfs-3.7.0 has been announced on the Gluster mailinglists [1], packages for several distributions should become available in the near future. Keep an eye on the Gluster Users mailinglist [2] and the update infrastructure for your distribution.

[1] http://thread.gmane.org/gmane.comp.file-systems.gluster.devel/10939
[2] http://thread.gmane.org/gmane.comp.file-systems.gluster.user

--- Additional comment from Niels de Vos on 2015-05-14 13:42:17 EDT ---

This bug is getting closed because a release has been made available that should address the reported issue. In case the problem is still not fixed with glusterfs-3.7.0, please open a new bug report.

glusterfs-3.7.0 has been announced on the Gluster mailinglists [1], packages for several distributions should become available in the near future. Keep an eye on the Gluster Users mailinglist [2] and the update infrastructure for your distribution.

[1] http://thread.gmane.org/gmane.comp.file-systems.gluster.devel/10939
[2] http://thread.gmane.org/gmane.comp.file-systems.gluster.user

--- Additional comment from Atin Mukherjee on 2015-07-20 00:04:03 EDT ---

Re opening this bug as this bug was moved to closed by mistake.

--- Additional comment from Anand Avati on 2015-07-23 06:08:44 EDT ---

REVIEW: http://review.gluster.org/10262 (glusterd: Have unique volume options) posted (#6) for review on master by Atin Mukherjee (amukherj@redhat.com)

--- Additional comment from Anand Avati on 2015-08-11 04:37:16 EDT ---

REVIEW: http://review.gluster.org/10262 (glusterd: Have unique volume options) posted (#7) for review on master by Atin Mukherjee (amukherj@redhat.com)

--- Additional comment from Anand Avati on 2015-08-20 00:39:46 EDT ---

REVIEW: http://review.gluster.org/10262 (glusterd: Have unique volume options) posted (#8) for review on master by Atin Mukherjee (amukherj@redhat.com)

--- Additional comment from Anand Avati on 2015-08-20 05:18:00 EDT ---

REVIEW: http://review.gluster.org/10262 (glusterd: Have unique volume options) posted (#9) for review on master by Atin Mukherjee (amukherj@redhat.com)

--- Additional comment from Anand Avati on 2015-08-20 07:40:00 EDT ---

REVIEW: http://review.gluster.org/10262 (glusterd: Have unique volume options) posted (#10) for review on master by Atin Mukherjee (amukherj@redhat.com)
Comment 1 Anand Avati 2015-08-24 04:51:07 EDT
REVIEW: http://review.gluster.org/11997 (glusterd: Have unique volume options) posted (#1) for review on release-3.7 by Atin Mukherjee (amukherj@redhat.com)
Comment 2 Kaushal 2015-10-28 08:28:43 EDT
This bug could not be fixed in time for glusterfs-3.7.4 or glusterfs-3.7.5. This is now being tracked for being fixed in glusterfs-3.7.6.
Comment 3 Raghavendra Talur 2015-11-08 15:27:08 EST
This bug could not be fixed in time for glusterfs-3.7.6.
This is now being tracked for being fixed in glusterfs-3.7.7.
Comment 4 Mike McCune 2016-03-28 18:15:42 EDT
This bug was accidentally moved from POST to MODIFIED via an error in automation, please see mmccune@redhat.com with any questions
Comment 5 Kaushal 2017-03-08 05:49:39 EST
This bug is getting closed because GlusteFS-3.7 has reached its end-of-life.

Note: This bug is being closed using a script. No verification has been performed to check if it still exists on newer releases of GlusterFS.
If this bug still exists in newer GlusterFS releases, please reopen this bug against the newer release.

Note You need to log in before you can comment on or make changes to this bug.